Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1566240

Summary: Wayland problems: lags, key press repeats, and kernel error message
Product: [Fedora] Fedora Reporter: Hedayat Vatankhah <hedayatv>
Component: gnome-shellAssignee: Owen Taylor <otaylor>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 28CC: fedora, fmuellner, jadahl, otaylor, smurfendrek123, swt
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-05-28 22:20:34 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1277927    

Description Hedayat Vatankhah 2018-04-11 20:10:11 UTC
Description of problem:
I'm using Fedora 28 beta, with updates. I've a number of problems under wayland:

1. from time to time (e.g. each minute), mouse pointer freezes for a while (e.g. under 1 second) and then jumps to the new position when moving.

2. Kernel prints the following error repeatedly:
kernel: ACPI: \_SB_.PCI0.PEGP.DGFX: failed to evaluate _DSM

3. From time to time, when I press a key (or a key combination), it happens multiple times; e.g. I press Ctrl+T in gnome-terminal, and suddenly 3 new tabs open rather than just one.
It doesn't happen under Xorg.

Comment 1 Christian Stadelmann 2018-05-31 10:42:37 UTC
I can reproduce this issue too. It is a clear regression from Fedora 27. See also bug #1565931.

(In reply to Hedayat Vatankhah from comment #0)
> Description of problem:
> I'm using Fedora 28 beta, with updates. I've a number of problems under
> wayland:
> 
> 1. from time to time (e.g. each minute), mouse pointer freezes for a while
> (e.g. under 1 second) and then jumps to the new position when moving.

Same here.

> 2. Kernel prints the following error repeatedly:
> kernel: ACPI: \_SB_.PCI0.PEGP.DGFX: failed to evaluate _DSM

This does not happen on my machine. I guess it is unrelated.

> 3. From time to time, when I press a key (or a key combination), it happens
> multiple times; e.g. I press Ctrl+T in gnome-terminal, and suddenly 3 new
> tabs open rather than just one.

I'm seeing this one too.

Comment 2 Jonas Ådahl 2018-06-07 10:46:34 UTC
What kind of laptop is this reproducing on? Does https://copr.fedorainfracloud.org/coprs/jadahl/mutter-hw-cursor-on-demand/build/758884/ improve the situation?

Comment 3 Christian Stadelmann 2018-06-08 06:20:31 UTC
(In reply to Jonas Ådahl from comment #2)
> What kind of laptop is this reproducing on?

In my case this is a desktop PC with Intel's core i5-650 and a H55 mainboard controller. I'll thy the build on the weekend.

Comment 4 Scott Talbert 2018-06-11 00:51:08 UTC
Jonas, your mutter-hw-cursor-on-demand copr does seem to improve the input responsiveness / cursor lag for me on F28.

However, in my casual observations, I have seen an increase in a 'flickering' problem.  The flickering doesn't start right away - it seems to start after my screen has locked and I unlock it (but not necessarily the first lock/unlock cycle).

Note that I have seen this flickering before on F27, but I think this is the first time I've seen it on F28 / Gnome 3.28.  Because it's hard to describe the flickering, I made a video.  It's kind of large (80MB) though.

https://www.techie.net/~talbert/VID_20180610_202148.mp4

Comment 5 Christian Stadelmann 2018-09-07 07:27:33 UTC
The key repeats are tracked in bug #1579859.

I think the lags are duplicates of bug #1575281 and bug #1563811.

Comment 6 Ben Cotton 2019-05-02 20:58:15 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Ben Cotton 2019-05-28 22:20:34 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 8 smurfendrek123 2020-01-01 21:05:16 UTC
I have this bug on fedora 31, i set up ctrl+t as a shortcut to open a terminal, and about 30-50% of the time, it will open up 2 terminals when i use that shortcut.

I'm pretty sure it's due related to my ctrl key, i can very reliably trigger this with my left crtl key, but never with my right ctrl key. I know you might think i'm an unintelligent buffoon for making a bug report about my shitty keyboard, but showkey shows very normal output, just 2 key presses, followed by 2 key releases. Also other "shortcuts" like ctrl+alt+down/up arrow never make me switch workspaces twice.

So it seems that at some level in the software stack, the gibberish from my keyboard gets neatly cleaned up, so i'm wondering if it would be possible to also fix this for my own user defined shortcuts.

Comment 9 smurfendrek123 2020-01-01 21:07:19 UTC
bug #1579859 is probably a better place for this, you can leave this one closed, sorry